Summary:        A lightweight dhcp and caching nameserver
Name:           dnsmasq
Version:        2.66
%define subrel 1
Release:        %mkrel 3
License:        GPLv2 or GPLv3
Group:          System/Servers
URL:            http://www.thekelleys.org.uk/dnsmasq
Conflicts:      bind
Source0:        http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.xz
Source1:        dnsmasq.sysconfig

Source3:        dnsmasq.service
Source4:        README.update.urpmi
Patch0:		dnsmasq-2.66-CVE-2015-3294.diff

BuildRequires:          dbus-devel

Requires:                       %{name}-base = %{version}-%{release}
Requires(preun):        rpm-helper
Requires(post): rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

%package        base
Summary:        A lightweight dhcp and caching nameserver - base files without init scripts
Group:          Networking/Remote access

%description    base
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

This package contains the base files of the Dnsmasq server, without the init
scripts and global configuration files.

%package        utils
Summary:        Utilities for manipulating DHCP server leases
Group:          System/Servers

%description    utils
Utilities that use the standard DHCP protocol to
query/remove a DHCP server's leases.

%prep
%setup -q
%patch0 -p1

%build
#(tpg) enable dbus support
sed -i 's|/\* #define HAVE_DBUS \*/|#define HAVE_DBUS|g' src/config.h

%serverbuild
%make
%make -C contrib/wrt

%install
%__install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__install -m644 %{SOURCE3} -D %{buildroot}/lib/systemd/system/%{name}.service
%__install -m644 dnsmasq.conf.example -D %{buildroot}%{_sysconfdir}/dnsmasq.conf
%__install -m755 -D src/dnsmasq %{buildroot}%{_sbindir}/dnsmasq
%__install -m644 man/dnsmasq.8 -D %{buildroot}%{_mandir}/man8/dnsmasq.8
%__install -m644 %{SOURCE4} README.update.urpmi
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_mandir}/man1
%__install -m755 contrib/wrt/dhcp_release %{buildroot}%{_bindir}/dhcp_release
%__install -m644 contrib/wrt/dhcp_release.1 %{buildroot}%{_mandir}/man1/dhcp_release.1
%__install -m755 contrib/wrt/dhcp_lease_time %{buildroot}%{_bindir}/dhcp_lease_time
%__install -m644 contrib/wrt/dhcp_lease_time.1 %{buildroot}%{_mandir}/man1/dhcp_lease_time.1

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
/lib/systemd/system/%{name}.service
%doc README.update.urpmi

%files base
%doc CHANGELOG FAQ COPYING COPYING-v3 doc.html setup.html
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*

%files utils
%{_bindir}/dhcp_*
%{_mandir}/man1/dhcp_*


%changelog
* Wed May 06 2015 oden <oden> 2.66-3.1.mga4
+ Revision: 821287
- P0: security fix for CVE-2015-3294 (ubuntu)

* Sat Oct 19 2013 umeabot <umeabot> 2.66-3.mga4
+ Revision: 531644
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 joequant <joequant> 2.66-2.mga4
+ Revision: 464380
- check group
- add dnsmasq-utils to match fedora

* Thu Jun 20 2013 julien <julien> 2.66-1.mga4
+ Revision: 445287
- new version 2.66

* Thu Jan 31 2013 julien <julien> 2.65-3.mga3
+ Revision: 393849
- add patch from redhat to fix CVE-2013-0198

* Fri Jan 11 2013 umeabot <umeabot> 2.65-2.mga3
+ Revision: 349042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 julien <julien> 2.65-1.mga3
+ Revision: 331001
- new version 2.65
- remove initscript as mga3 is systemd only

* Thu Dec 06 2012 julien <julien> 2.64-1.mga3
+ Revision: 327523
- update to new version 2.64

* Tue Aug 21 2012 julien <julien> 2.63-1.mga3
+ Revision: 282947
- new version 2.63

* Fri Jun 08 2012 julien <julien> 2.62-1.mga3
+ Revision: 257965
- new version 2.62

* Mon Jun 04 2012 julien <julien> 2.61-1.mga3
+ Revision: 254453
- update to version 2.61
- add systemd unit file
- add a warning on update when using sysconfig file

* Fri Oct 21 2011 julien <julien> 2.59-1.mga2
+ Revision: 157280
- update to version 2.59

* Thu Oct 06 2011 julien <julien> 2.58-1.mga2
+ Revision: 152534
- new version 2.58
- small cleanup of specfile

* Sat Apr 16 2011 misc <misc> 2.57-1.mga1
+ Revision: 86170
- update to 2.57
- remove and clean old conflict

* Thu Jan 27 2011 erwan <erwan> 2.55-1.mga1
+ Revision: 42235
- imported package dnsmasq

